commit:     0a518ca277805005ec066b8de589147cc0482b97
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 25 10:05:49 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Feb 25 15:38:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a518ca2

media-libs/freeglut: Switch to cmake.eclass, silence cmake warning

Add missing || die.

Closes: https://bugs.gentoo.org/721006
Closes: https://bugs.gentoo.org/770547
Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/freeglut/freeglut-3.2.1.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/media-libs/freeglut/freeglut-3.2.1.ebuild 
b/media-libs/freeglut/freeglut-3.2.1.ebuild
index 3ea22fc54f7..af9972f1c09 100644
--- a/media-libs/freeglut/freeglut-3.2.1.ebuild
+++ b/media-libs/freeglut/freeglut-3.2.1.ebuild
@@ -3,6 +3,7 @@
 
 EAPI=7
 
+CMAKE_ECLASS=cmake
 inherit cmake-multilib
 
 DESCRIPTION="A free OpenGL utility toolkit, the open-sourced alternative to 
the GLUT library"
@@ -32,6 +33,7 @@ HTML_DOCS=( doc/. )
 
 src_configure() {
        local mycmakeargs=(
+               "-DOpenGL_GL_PREFERENCE=GLVND" # bug 721006
                "-DFREEGLUT_GLES=OFF"
                "-DFREEGLUT_BUILD_DEMOS=OFF"
                "-DFREEGLUT_BUILD_STATIC_LIBS=$(usex static-libs ON OFF)"
@@ -41,6 +43,6 @@ src_configure() {
 }
 
 multilib_src_install() {
-       cmake-utils_src_install
-       cp "${D}"/usr/$(get_libdir)/pkgconfig/{,free}glut.pc
+       cmake_src_install
+       cp "${D}"/usr/$(get_libdir)/pkgconfig/{,free}glut.pc || die
 }

Reply via email to